# $Revision: 1.36 $, $Date: 2012/01/15 21:01:18 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	Escape
Summary:	String::Escape - registry of string functions, including backslash escapes
Summary(pl.UTF-8):	String::Escape - zestaw funkcji do obróbki łańcuchów, w tym cytowania przy pomocy odwrotnego ukośnika
Name:		perl-String-Escape
Version:	2010.002
Release:	1
# same as perl (README says Artistic)
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f48000fbade3f46e1a37a43f12c7f01a
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The String::Escape Perl module provides a flexible calling interface
to some frequently-performed string conversion functions, including
applying and removing C/Unix-style backslash escapes like \n and \t,
wrapping and removing double-quotes, and truncating to fit within a
desired length.

%description -l pl.UTF-8
Moduł Perla String::Escape udostępnia elastyczny interfejs wywołań
pewnych często używanych funkcji konwersji łańcuchów tekstowych,
uwzględniając funkcje do stosowania i usuwania C/uniksowych cytowań za
pomocą odwrotnego ukośnika, jak \n i \t, dodawanie i usuwanie
cudzysłowów i skracanie, aby zmieścić się w określonej długości.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/String/Escape.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-Escape.spec,v $
Revision 1.36  2012/01/15 21:01:18  zbyniu
- up to 2010.002

Revision 1.35  2008/07/27 22:48:24  arekm
- release 5

Revision 1.34  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.32  2004/11/03 22:30:45  paladine
- formatting

Revision 1.31  2004/05/07 00:38:12  ankry
- rel. 4

Revision 1.30  2004/05/06 18:21:08  ankry
- fixed perl-devel BR

Revision 1.29  2004/04/25 00:38:59  ankry
- added test, descriptive summary/description, fixed license
- rel. 3 for Ac

Revision 1.28  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:09:15  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:01:03  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 20:46:37  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:38:23  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.19  2002/07/11 08:04:12  depesz
- new version; should work; STBR

Revision 1.18  2002/07/10 08:48:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:34:32  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:20:12  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:34:49  depesz
adapterized

Revision 1.12  2002/01/18 02:14:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:23  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:15:56  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/23 20:57:03  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.2  1999/11/04 19:34:19  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:20  pius
- initial release
